Create Omni Flow Agent
Create a new agent for a workspace.
POST
Headers
x-api-keystringrequiredAPI key used for authenticating requests to the API.
x-workspace-idstringrequiredWorkspace identifier for the API.
Request Body
namestringrequiredName of the agent being created.
llmModelstringrequireddefault: gpt-4o-miniLanguage Model to be used by the agent to generate responses. (e.g. gpt-4o-mini, gpt-4o, gpt-4o-enterprise)
settingsobjectSettings related to the agent.
Response Fields
workspaceIdstringWorkspace ID associated with the agent.
userIdstringUser ID of the agent creator.
namestringName of the agent.
llmModelstringLanguage model used by the agent (e.g., gpt-4o-mini).
phoneNumberIdstringPhone number ID, if assigned to the agent.
statusstringCurrent status of the agent (e.g., ready).
createdAtstringTimestamp when the agent was created.
updatedAtstringTimestamp when the agent was last updated.
{
"workspaceId": "01a0sda156scx5f8",
"userId": "01a0sda156scx5f8",
"name": "ExampleOmniFlowAgent",
"llmModel": "gpt-4o-mini",
"phoneNumberId": null,
"status": "ready",
"createdAt": "2025-01-19T03:18:22.604Z",
"updatedAt": "2025-01-19T03:18:22.604Z"
} 